summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xci/daily.sh8
-rwxr-xr-xci/launch_docker_container.sh8
2 files changed, 15 insertions, 1 deletions
diff --git a/ci/daily.sh b/ci/daily.sh
index b984824..8af8562 100755
--- a/ci/daily.sh
+++ b/ci/daily.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -x
+#!/bin/bash -xe
##############################################################################
# Copyright (c) 2015 EMC and others.
#
@@ -14,6 +14,12 @@ then
WORKSPACE=`pwd`
fi
+docker-compose --version
+if [ $? -ne 0 ]
+then
+ echo "Docker compose is missing"
+ exit 1
+fi
git clone --depth 1 https://gerrit.opnfv.org/gerrit/releng $WORKSPACE/ci/job/releng
diff --git a/ci/launch_docker_container.sh b/ci/launch_docker_container.sh
index 47a1f17..949bf9d 100755
--- a/ci/launch_docker_container.sh
+++ b/ci/launch_docker_container.sh
@@ -34,7 +34,15 @@ docker-compose -f local-docker-compose.yaml up -d
echo "Waiting for StorPerf to become active"
+ATTEMPTS=20
+
while [ $(curl -s -o /dev/null -I -w "%{http_code}" -X GET http://127.0.0.1:5000/api/v1.0/configurations) != "200" ]
do
+ ATTEMPTS=$((ATTEMPTS - 1))
+ if [ ${ATTEMPTS} -le 1 ]
+ then
+ echo "Failed to get a start up of StorPerf Master"
+ exit 1
+ fi
sleep 1
done